Bug 849477 - python-novaclient missing dependency on python-setuptools
python-novaclient missing dependency on python-setuptools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-novaclient (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 16:09 EDT by Derek Higgins
Modified: 2016-01-04 09:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 850842 850844 850847 850975 (view as bug list)
Environment:
Last Closed: 2012-08-31 17:24:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Higgins 2012-08-19 16:09:49 EDT
[root@f17 ~]# yum install python-novaclient
[root@f17 ~]# nova
Traceback (most recent call last):
  File "/bin/nova", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources


[root@f17 ~]# yum install python-setuptools 
[root@f17 ~]# nova
usage: nova [--debug] [--os_username OS_USERNAME] [--os_password OS_PASSWORD]
Comment 1 Pádraig Brady 2012-08-19 23:03:56 EDT
Hmm I might just remove the install_requires from setup.py
That seems at first glance redundant with distro packaging.
Comment 2 Alan Pevec 2012-08-22 09:41:51 EDT
Not sure if install_requires will help, client binary (in all nova/glance/keystone/quantum clients) is actually generated by setuptools and uses pkg_resources.load_entry_point

Let's just add setuptools as a runtime dependency in all clients, I'll clone this to other OpenStack *client components.
Comment 3 Fedora Update System 2012-08-22 12:30:31 EDT
python-novaclient-2012.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-novaclient-2012.1-2.fc17
Comment 4 Fedora Update System 2012-08-22 12:51:24 EDT
python-novaclient-2012.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-novaclient-2012.1-2.el6
Comment 5 Fedora Update System 2012-08-23 19:25:42 EDT
Package python-novaclient-2012.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-novaclient-2012.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12588/python-novaclient-2012.1-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-31 17:24:47 EDT
python-novaclient-2012.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-07 17:04:38 EDT
python-novaclient-2012.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.